Inbox · Messages
Fetches a conversation.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
conversationIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9?accountId=696e0b682d0a31188e7a2ba9" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9?accountId=696e0b682d0a31188e7a2ba9", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
dataobject18 child fields
idstringaccountIdstringaccountUsernamestringpageIdstringCan be null.
platformstringstatusstringOne of
active,archived.participantNamestringparticipantIdstringparticipantVerifiedTypestringOne of
blue,government,business,none. Can be null.businessScopedUserIdstringwhatsappUsernamestringlastMessagestringlastMessageAtstring (date-time)updatedTimestring (date-time)participantsarray of object2 child fields
idstringnamestring
instagramProfileobjectCan be null.
5 child fields
isFollowerbooleanCan be null.
isFollowingbooleanCan be null.
followerCountintegerCan be null.
isVerifiedbooleanCan be null.
fetchedAtstring (date-time)Can be null.
metadataobjectCan be null.
22 child fields
ctwa_clidstringctwa_source_idstringctwa_source_typestringctwa_source_urlstringctwa_headlinestringctwa_bodystringctwa_media_typestringctwa_image_urlstringctwa_video_urlstringctwa_thumbnail_urlstringctwa_captured_atstring (date-time)meta_ad_idstringmeta_ad_sourcestringmeta_ad_typestringmeta_ad_refstringmeta_ad_titlestringmeta_ad_photo_urlstringmeta_ad_video_urlstringmeta_ad_post_idstringmeta_ad_product_idstringmeta_ad_flow_idstringmeta_ad_captured_atstring (date-time)
adAttributionobjectCan be null.
11 child fields
adIdstringrequiredCan be null.
namestringrequiredCan be null.
syncedbooleanrequiredcampaignIdstringrequiredCan be null.
campaignNamestringrequiredCan be null.
adSetIdstringrequiredCan be null.
adSetNamestringrequiredCan be null.
adAccountIdstringrequiredCan be null.
adAccountNamestringrequiredCan be null.
platformPostIdstringrequiredCan be null.
isExternalbooleanrequiredCan be null.
200 response
{
"data": {
"id": "6bfebd43ddc270f6d2c56fc5",
"accountId": "696e0b682d0a31188e7a2ba9",
"accountUsername": "acme",
"pageId": "675e1e95e076854531b4d051",
"platform": "instagram",
"status": "active",
"participantName": "Acme",
"participantId": "6f0150243551cb6ee41f35e0",
"participantVerifiedType": "blue",
"businessScopedUserId": "61f84cc05876a1c25c483817",
"whatsappUsername": "acme",
"lastMessage": "Hello from Pozy",
"lastMessageAt": "2026-10-02T09:00:00.000Z",
"updatedTime": "2026-10-02T09:00:00.000Z",
"participants": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme"
}
],
"instagramProfile": {
"isFollower": true,
"isFollowing": true,
"followerCount": 42,
"isVerified": true,
"fetchedAt": "2026-10-02T09:00:00.000Z"
},
"metadata": {
"ctwa_clid": "692eb88a2c90929f2394053b",
"ctwa_source_id": "6bf4334a1a6cba0bd31d44ae",
"ctwa_source_type": "string",
"ctwa_source_url": "https://pozy.ai/media/example-1.jpg",
"ctwa_headline": "string",
"ctwa_body": "string",
"ctwa_media_type": "string",
"ctwa_image_url": "https://pozy.ai/media/example-1.jpg",
"ctwa_video_url": "https://pozy.ai/media/example-1.jpg",
"ctwa_thumbnail_url": "https://pozy.ai/media/example-1.jpg",
"ctwa_captured_at": "2026-10-02T09:00:00.000Z",
"meta_ad_id": "61e6bf8a5c69195f41e50bb7",
"meta_ad_source": "string",
"meta_ad_type": "string",
"meta_ad_ref": "string",
"meta_ad_title": "string",
"meta_ad_photo_url": "https://pozy.ai/media/example-1.jpg",
"meta_ad_video_url": "https://pozy.ai/media/example-1.jpg",
"meta_ad_post_id": "65196d015f4a678a60d69639",
"meta_ad_product_id": "6ea27f3b17ac3128973b7ea9",
"meta_ad_flow_id": "68770d6fe4e2e877d0403360",
"meta_ad_captured_at": "2026-10-02T09:00:00.000Z"
},
"adAttribution": {
"adId": "6f40fa2fb0a7e728dd1a73b7",
"name": "Acme",
"synced": true,
"campaignId": "65a3737dd8b11ea61f199e6e",
"campaignName": "Acme",
"adSetId": "60484b408d44e7c2492bfec5",
"adSetName": "Acme",
"adAccountId": "666219aad7bab67ace411e4f",
"adAccountName": "Acme",
"platformPostId": "637f799b3039e6602e83fa4f",
"isExternal": true
}
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Messages
GETList conversationsPOSTCreate conversationGETSearch conversationsPUTUpdate conversation statusDELDelete conversationGETList messagesPOSTSend messagePATCHEdit messageDELDelete messagePOSTSend typing indicatorPOSTChange who answers a conversation (handover)POSTAccept a message requestGETList the Page's conversation labelsPOSTCreate a conversation labelDELDelete a conversation labelGETList the labels on a conversationPOSTAdd a label to a conversationDELRemove a label from a conversationPOSTMark a conversation as readPOSTAdd reactionDELRemove reactionPOSTUpload media fileGETResolve message attachment